# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename stream-to-array

Name:               nodejs-stream-to-array
Version:            2.1.0
Release:            2%{?dist}
Summary:            Concatenate a readable stream's data into a single array

License:            MIT
URL:                https://www.npmjs.org/package/stream-to-array
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(bluebird)
BuildRequires:      npm(istanbul)
BuildRequires:      npm(mocha)
%endif


%description
Concatenate a readable stream's data into a single array.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
#%%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stream-to-array
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/stream-to-array

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec --bail
%endif


%files
%doc README.md
%{nodejs_sitelib}/stream-to-array/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 07 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.1.0-1
- Update to new version
- Update to new package guidelines

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 14 2015 Ralph Bean <rbean@redhat.com> - 2.0.2-1
- new version

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 2.0.0-1
- Initial packaging for Fedora.
